internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >:

## Public Types

typedef KeyTraits::key_type | K
typedef KeyTraits::hash_compare_type | KHash
typedef KeyTrait< K, KHash, typename tbb::flow::tuple_element< 0, TypeTuple >::type > | KeyTrait0
typedef tbb::flow::tuple< PT< KeyTrait0 > > | type

## Detailed Description

### template<template< class > class PT, typename KeyTraits, typename TypeTuple>
struct internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >

Definition at line 77 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## K

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTraits::key_type internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >::K

Definition at line 78 of file _flow_graph_types_impl.h.

## KeyTrait0

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTrait<K, KHash, typename tbb::flow::tuple_element<0,TypeTuple>::type> internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >::KeyTrait0

Definition at line 80 of file _flow_graph_types_impl.h.

## KHash

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef KeyTraits::hash_compare_type internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >::KHash

Definition at line 79 of file _flow_graph_types_impl.h.

## type

template<template< class > class PT, typename KeyTraits , typename TypeTuple >

typedef tbb::flow::tuple< PT<KeyTrait0> > internal::wrap_key_tuple_elements< 1, PT, KeyTraits, TypeTuple >::type

Definition at line 81 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.